#include <stdio.h>
#include <stdlib.h>

#ifdef MYMODE
#define my(fun) my ## fun
#define MY(sym) MY ## sym
#include <mystdio.h>
#else
#define my(fun) fun
#define MY(sym) sym
#endif

int main() {
  MY(FILE) *f1,*f2;
  int c;

  f1 = my(fopen)("toto","r");
  f2 = my(fopen)("titi","a");
  if (f1==NULL || f2==NULL) {
    printf("Erreur ouverture\n");
    exit(1);
  }
  while ((c=my(fgetc)(f1))!=-1) {
    my(fputc)(c,f2);
  }
  my(fclose)(f1);
  my(fclose)(f2);
  exit(0);
}
